# $Revision: 1.28.4.4 $, $Date: 2006/08/02 17:29:26 $
Summary:	Implementation of the draft Desktop Menu Specification
Summary(pl):	Implementacja specyfikacji menu systemw biurkowych
Name:		gnome-menus
Version:	2.14.3
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/gnome/sources/gnome-menus/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	9926e7ad14255d1a08c7e774052f8a3a
Patch0:		%{name}-PLD.patch
Patch1:		%{name}-nokde.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.8.1
BuildRequires:	gnome-common
BuildRequires:	gnome-vfs2-devel >= 2.14.0
BuildRequires:	intltool >= 0.31
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel
Requires:	%{name}-libs = %{version}-%{release}
Requires:	%{name}-filter
Provides:	xdg-menus
Obsoletes:	applnk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec .

%description -l pl
Pakiet zawiera implementacj specyfikacji menu systemw biurkowych z
freedesktop.org: http://www.freedesktop.org/Standards/menu-spec .

%package editor
Summary:	Simple menu editor
Summary(pl):	Prosty edytor menu
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	python-pygtk-glade

%description editor
Simple menu editor.

%description editor -l pl
Prosty edytor menu.

%package filter-default
Summary:	Default gnome-menus filter
Summary(pl):	Domylny filtr gnome-menus
Group:		X11/Applications
Requires:	gnome-menus
Provides:	%{name}-filter
Obsoletes:	%{name}-filter-desktop

%description filter-default
Default gnome-menus filter. Includes all applications.

%description filter-default -l pl
Domylny filtr gnome-menus. Zawiera wszystkie aplikacje.

%package libs
Summary:	gnome-menus library
Summary(pl):	Biblioteka gnome-menus
Group:		Libraries
Provides:	gnome-vfs-menu-module = 1.1-1
Provides:	gnome-vfs2-module-menu = 1.1-1 
Obsoletes:	gnome-vfs-menu-module
Obsoletes:	gnome-vfs2-module-menu
Obsoletes:	gnome-vfs2-vfolder-menu

%description libs
gnome-menus library.

%description libs -l pl
Biblioteka gnome-menus.

%package devel
Summary:	Header files of gnome-menus library
Summary(pl):	Pliki nagwkowe biblioteki gnome-menus
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.8.1
Requires:	gnome-vfs2-libs >= 2.14.0

%description devel
Headers for gnome-menus library.

%description devel -l pl
Pliki nagwkowe biblioteki gnome-menus.

%package static
Summary:	Static gnome-menus library
Summary(pl):	Statyczna biblioteka gnome-menus
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static versions of gnome-menu library.

%description static -l pl
Statyczna biblioteka gnome-menu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/GMenuSimpleEditor/*.{a,la,py}
rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.{a,la}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gnome-menu-spec-test
%{_datadir}/desktop-directories

%files editor
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gmenu-simple-editor
%{_datadir}/%{name}
%{_desktopdir}/gmenu-simple-editor.desktop
%dir %{py_sitedir}/GMenuSimpleEditor
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/GMenuSimpleEditor/*.py[co]

%files filter-default
%defattr(644,root,root,755)
%{_sysconfdir}/xdg/menus

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-menu.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_pkgconfigdir}/*.pc
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-menus.spec,v $
Revision 1.28.4.4  2006/08/02 17:29:26  freetz
- 2.14.3

Revision 1.28.4.3  2006/07/23 16:15:54  havner
- nokde patch
- rel 3

Revision 1.28.4.2  2006/05/18 21:37:17  baggins
- release 2
- strict reqs

Revision 1.28.4.1  2006/05/15 15:20:21  baggins
- merged from HEAD

Revision 1.30  2006/04/13 19:30:34  freetz
- 2.14.0

Revision 1.29  2006/04/01 21:31:13  freetz
- merged from DEVEL

Revision 1.28.2.1  2006/01/27 20:22:35  freetz
- 2.13.5

Revision 1.28  2005/10/05 17:48:09  jareq
- added missing %dir %{py_site}/GMenuSimpleEditor
- rel 2
- STBR

Revision 1.27  2005/09/21 20:59:39  patrys
- missing R: for editor package

Revision 1.26  2005/09/06 13:47:14  qboosh
- .so perms

Revision 1.25  2005/09/06 13:01:02  aflinta
- Merged from DEVEL, 2.12.0

Revision 1.24.2.9  2005/08/22 19:37:45  aflinta
- version 2.11.92

Revision 1.24.2.8  2005/08/09 13:37:41  aflinta
- ups, missing desktop file

Revision 1.24.2.7  2005/08/09 13:34:35  aflinta
- up to version 2.11.91

Revision 1.24.2.6  2005/08/07 17:06:22  paladine
- missing BR: python-devel

Revision 1.24.2.5  2005/07/26 14:32:44  paladine
- added pl patch

Revision 1.24.2.4  2005/07/26 14:19:17  freetz
- 2.11.90

Revision 1.24.2.3  2005/07/26 12:57:33  paladine
- editor should be in editor subpackage ;), rel. 2

Revision 1.24.2.2  2005/07/10 20:47:46  freetz
- menu editor packaged

Revision 1.24.2.1  2005/07/03 16:56:55  freetz
- 2.11.1.1, TODO added

Revision 1.24  2005/07/01 11:15:52  zbyniu
- BR: gettext-devel, pkgconfig

Revision 1.23  2005/06/28 20:09:26  freetz
- 2.10.2

Revision 1.22  2005/05/23 16:12:49  paladine
- R: gnome-menus and s/Conflicts/Obsoletes in filter-default subpackage
- rel. 8

Revision 1.21  2005/05/23 15:38:08  paladine
- P: xdg-menus, rel. 7

Revision 1.20  2005/05/13 22:37:41  ankry
- really added proper versioned provides, rel. 6

Revision 1.19  2005/05/13 17:19:36  blues
- release 5 - add version to proper provides

Revision 1.18  2005/05/13 17:06:53  aredridel
- BR: gnome-common

Revision 1.17  2005/05/13 16:35:57  qboosh
- unified

Revision 1.16  2005/05/13 14:27:32  patrys
- changed C:

Revision 1.15  2005/05/13 13:04:11  blues
- release 4

Revision 1.14  2005/05/13 13:03:09  blues
- more provides/obsoletes

Revision 1.13  2005/05/13 12:55:12  blues
- provides and obsoletes to allow smooth upgrade (next attempt)

Revision 1.12  2005/05/13 11:07:47  patrys
- separated the menu filter

Revision 1.11  2005/04/25 20:34:02  freetz
- do not provide applnk funcionality, rel.3

Revision 1.10  2005/04/18 12:26:18  paladine
- added PLD patch (now all desktops should appear in menu)
- rel. 2

Revision 1.9  2005/03/23 20:22:38  paladine
- updated to 2.10.1

Revision 1.8  2005/03/20 20:35:33  aflinta
- rebuild with howl 0.9.10, release 2

Revision 1.7  2005/03/07 19:39:46  wiget
- updated to 2.10.0

Revision 1.6  2005/03/01 11:57:06  aflinta
- up to version 2.9.92

Revision 1.5  2005/02/13 18:50:23  grzegol
- added Provides/Obsoletes applnk to main subpackage
- libs: R: applnk O: gnome-vfs2-module-menu
- rel. 2

Revision 1.4  2005/02/06 23:27:30  grzegol
- added libs subpackage
- rel. 1.1

Revision 1.3  2005/02/05 12:21:26  qboosh
- cosmetics

Revision 1.2  2005/02/04 09:43:54  aflinta
- added missing ldconfig invocation

Revision 1.1  2005/02/04 09:42:26  aflinta
- PLD Initial release
